libtest-expect-perl_0.31-2_all.deb


Advertisement

Description

libtest-expect-perl - module for automated driving and testing of terminal-based programs

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libtest-expect-perl
Package version: 0.31
Package release: 2
Package architecture: all
Package type: deb
Installed size: 64 B
Download size: 7.23 KB
Official Mirror: ftp.br.debian.org
Test::Expect is a module for automated driving and testing of terminal-based programs. It is handy for testing interactive programs which have a prompt, and is based on the same concepts as the Tcl Expect tool. As in Expect::Simple, the Expect object is made available for tweaking. Test::Expect is intended for use in a test script.

Alternatives

    Download

    Source package: libtest-expect-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libtest-expect-perl deb package:
      # sudo apt-get install libtest-expect-perl

    Files

    • /usr/share/doc/libtest-expect-perl/changelog.Debian.gz
    • /usr/share/doc/libtest-expect-perl/changelog.gz
    • /usr/share/doc/libtest-expect-perl/copyright
    • /usr/share/man/man3/Test::Expect.3pm.gz
    • /usr/share/perl5/Test/Expect.pm

    Changelog

    2011-06-12 - Fabrizio Regalli <fabreg@fabreg.it> libtest-expect-perl (0.31-2) unstable; urgency=low [ gregor herrmann ] * debian/control: Changed: Switched Vcs-Browser field to ViewSVN (source stanza). [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ Ansgar Burchardt ] * Remove Peter Makholm <makholm@debian.org> from Uploaders. (Closes: #580319) [ Fabrizio Regalli ] * Bump to 3.9.2 Standard-Version. * Switch to DEP5 license format. * Add myself to Uploaders. * Switch d/compat to 8. * Build-Depends: switch to debhelper (>= 8). * Bump to 3.0 quilt format.

    2008-05-09 - gregor herrmann <gregoa@debian.org> libtest-expect-perl (0.31-1) unstable; urgency=low * debian/rules: don't install empty /usr/lib/perl5 directory. * debian/rules: delete /usr/lib/perl5 only if it exists. * New upstream release. * debian/watch: extended regexp for matching upstream releases. * debian/copyright: remove dh-make-perl boilerplate. * Set Standards-Version to 3.7.3 (no changes). * Switch from cdbs to plain debhelper and from Module::Build to MakeMaker. * Add /me to Uploaders.

    2007-11-12 - Peter Makholm <peter@makholm.net> libtest-expect-perl (0.30-2) unstable; urgency=high [ Peter Makholm ] * Add missing libexpect-simple-perl to dependencies. [ Frank Lichtenheld ] * Add libexpect-simple-perl to build-depends-indep since it is used during make test. * This fix also Closes: #450929, which was just filed after a rebuild of the archive failed.

    2007-10-13 - Peter Makholm <peter@makholm.net> libtest-expect-perl (0.30-1) unstable; urgency=low [ Peter Makholm ] * Initial Release. (Closes: #446387) [ gregor herrmann ] * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field (source stanza); Homepage field (source stanza). Removed: Homepage pseudo-field (Description); XS-Vcs-Svn fields (source stanza). * Add watch file.

    Advertisement
    Advertisement